org.eclipse.microprofile.reactive.messaging.tck.acknowledgement

## Class AsynchronousPayloadSubscriberAckTest.PayloadConsumer

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.acknowledgement.AsynchronousPayloadSubscriberAckTest.PayloadConsumer

Enclosing class:
  AsynchronousPayloadSubscriberAckTest

    @ApplicationScoped
    public static class AsynchronousPayloadSubscriberAckTest.PayloadConsumer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PayloadConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletionStage<Void>` `consume(String s)`
`void` `disableFailureMode()`
`void` `enableFailureMode()`
`List<String>` `list()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PayloadConsumer

    public PayloadConsumer()

### Method Detail

#### enableFailureMode

    public void enableFailureMode()

#### disableFailureMode

    public void disableFailureMode()

#### consume

    public CompletionStage<Void> consume(String s)

#### list

    public List<String> list()

#### reset

    public void reset()